Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008360opensim[REGION] Scripting Enginepublic2018-08-27 12:472019-02-06 11:28
ReporterMandarinka Tasty 
Assigned ToMandarinka Tasty 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.9.0.1 
Target VersionFixed in Version 
Summary0008360: Adding check permission CanIssueEstateCommand for osRegionNotice and new function osRegionNotice(string agentID, string msg)
DescriptionI've added permission check for osRegionNotice, since that function has not got any security layer so far. Also I've set ThreatLevel.High for that function, similarly to analogous function osRegionRestart.

Additionally, I have created function:
osRegionNotice(string agentID, string msg)

School example of the in-world script referring to this new function:

default
{
    touch_start(integer num)
    {
        osRegionNotice(llDetectedKey(0),"Welcome to: " + llGetRegionName())
    }
}
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics, ODE, BulletSim, ubODE
EnvironmentMono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
Mono Version5.x
ViewerFirestorm 5.1.7
Attached Filespatch file icon 0001-Adding-check-permission-CanIssueEstateCommand-for-os.patch [^] (4,019 bytes) 2018-08-27 12:47 [Show Content]

- Relationships

-  Notes
(0032906)
UbitUmarov (administrator)
2018-08-30 06:56

patch added to master with a few changes
Thanks
(0034373)
BillBlight (developer)
2019-02-06 11:28

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2018-08-27 12:47 Mandarinka Tasty New Issue
2018-08-27 12:47 Mandarinka Tasty File Added: 0001-Adding-check-permission-CanIssueEstateCommand-for-os.patch
2018-08-27 12:47 Mandarinka Tasty Status new => patch included
2018-08-30 06:56 UbitUmarov Note Added: 0032906
2018-08-30 07:17 Mandarinka Tasty Status patch included => resolved
2018-08-30 07:17 Mandarinka Tasty Resolution open => fixed
2018-08-30 07:17 Mandarinka Tasty Assigned To => Mandarinka Tasty
2019-02-06 11:28 BillBlight Note Added: 0034373
2019-02-06 11:28 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker